summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorSam James <sam@gentoo.org>2022-02-14 19:47:20 +0000
committerSam James <sam@gentoo.org>2022-02-14 19:47:53 +0000
commitd30b3fdc1483a09a774d10e7096720d1007eea62 (patch)
treef1940821f7ce2ec0390705e20326f592d0b2cea0 /app-crypt/pesign/pesign-114.ebuild
parentwww-client/microsoft-edge-beta: remove old (diff)
downloadgentoo-d30b3fdc1483a09a774d10e7096720d1007eea62.tar.gz
gentoo-d30b3fdc1483a09a774d10e7096720d1007eea62.tar.bz2
gentoo-d30b3fdc1483a09a774d10e7096720d1007eea62.zip
app-crypt/pesign: add 114
Closes: https://bugs.gentoo.org/831328 Signed-off-by: Sam James <sam@gentoo.org>
Diffstat (limited to 'app-crypt/pesign/pesign-114.ebuild')
-rw-r--r--app-crypt/pesign/pesign-114.ebuild58
1 files changed, 58 insertions, 0 deletions
diff --git a/app-crypt/pesign/pesign-114.ebuild b/app-crypt/pesign/pesign-114.ebuild
new file mode 100644
index 00000000000..bd65febf96c
--- /dev/null
+++ b/app-crypt/pesign/pesign-114.ebuild
@@ -0,0 +1,58 @@
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+inherit toolchain-funcs
+
+DESCRIPTION="Tools for manipulating signed PE-COFF binaries"
+HOMEPAGE="https://github.com/rhboot/pesign"
+SRC_URI="https://github.com/rhboot/${PN}/archive/${PV}.tar.gz -> ${P}.tar.gz"
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+
+RDEPEND="
+ dev-libs/nspr
+ dev-libs/nss
+ dev-libs/openssl:=
+ dev-libs/popt
+ sys-apps/util-linux
+ >=sys-libs/efivar-38
+"
+DEPEND="${RDEPEND}
+ sys-boot/gnu-efi
+"
+BDEPEND="
+ sys-apps/help2man
+ virtual/pkgconfig
+"
+
+PATCHES=(
+ "${FILESDIR}"/${PN}-114-wanalyzer-diagnostic.patch
+ "${FILESDIR}"/${PN}-114-no-werror.patch
+
+ "${FILESDIR}"/${P}-format-string.patch
+)
+
+src_compile() {
+ emake \
+ AR="$(tc-getAR)" \
+ ARFLAGS="-cvqs" \
+ AS="$(tc-getAS)" \
+ CC="$(tc-getCC)" \
+ LD="$(tc-getLD)" \
+ OBJCOPY="$(tc-getOBJCOPY)" \
+ PKG_CONFIG="$(tc-getPKG_CONFIG)" \
+ RANLIB="$(tc-getRANLIB)" \
+ rundir="${EPREFIX}/var/run"
+}
+
+src_install() {
+ emake DESTDIR="${ED}" VERSION="${PVR}" rundir="${EPREFIX}/var/run" install
+ einstalldocs
+
+ # remove some files that don't make sense for Gentoo installs
+ rm -rf "${ED}/etc" "${ED}/var" "${ED}/usr/share/doc/${PF}/COPYING" || die
+}